Package fr.gouv.vitam.common.database.builder.query

# Class MltQuery

java.lang.Object
fr.gouv.vitam.common.database.builder.query.Query
fr.gouv.vitam.common.database.builder.query.MltQuery

Direct Known Subclasses:
  `MltQuery`

public class MltQuery extends Query
MoreLikeThis Query

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Set<String>`
  `stringVals`

  ### Fields inherited from class fr.gouv.vitam.common.database.builder.query.Query

  `currentObject, currentQuery, currentTokenQUERY, DATE, exactdepth, extraInfo, isFullText, ready, relativedepth`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MltQuery()`
  ``
  `MltQuery(BuilderToken.QUERY mltQuery, String value, String... variableNames)`
  MoreLikeThis Query constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final MltQuery`
  `add(String... variableName)`
  Add a variable into the Mlt Query
  `void`
  `clean()`
  Clean the object

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.query.Query

  `cleanDepth, createQueryArray, createQueryVariable, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, createQueryVariableValue, getCurrentObject, getCurrentQuery, getExtraInfo, getNode, getParserExactdepth, getParserRelativeDepth, getQUERY, isFullText, isReady, setDepthLimit, setExactDepthLimit, setExtraInfo, setFullText, setParserExactdepth, setParserRelativeDepth, setReady, setRelativeDepthLimit, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### stringVals

    protected Set<String> stringVals

- ## Constructor Details

  - ### MltQuery

    protected MltQuery()

  - ### MltQuery

    public MltQuery(BuilderToken.QUERY mltQuery, String value, String... variableNames) throws InvalidCreateOperationException
    MoreLikeThis Query constructor
    Parameters:
      `mltQuery` - flt, mlt
      `value` - to compare
      `variableNames` - criteria of query
    Throws:
      `InvalidCreateOperationException` - when query is not valid

- ## Method Details

  - ### clean

    public void clean()
    Description copied from class: `Query`
    Clean the object
    Overrides:
      `clean` in class `Query`

  - ### add

    public final MltQuery add(String... variableName) throws InvalidCreateOperationException
    Add a variable into the Mlt Query
    Parameters:
      `variableName` - variable name
    Returns:
      the MltQuery
    Throws:
      `InvalidCreateOperationException` - when query is not valid